BILDERBLOCK THEME
#################

Project site:  	http://drupal.org/project/bilderblock
Author:			[David Herminghaus](http://david.herminghaus.de)


PREFACE
-------
This theme is primarily intended to display your photos, e. g. in case you
decide not to host them at one of the many cloud photo services.

FEATURES
--------

DRUPAL INTEGRATION
------------------
### Color
### Colorbox
### Taxonomy
### Views
### ais

### Modernizr
Bilderblock recognizes modernizr's "html.touchevents" class to decide whether
hover-based effects will apply.

### Views
(see "film strips")

MARKUP/BROWSER SUPPORT
----------------------

### CSS helper classes
For use with e.g. field_groups or your custom additions, there are some generic
helper classes, like ".nomargin". Check out the very bottom of css/style.css

CUSTOMIZATION
#############

EXPOSED IMAGES
--------------

Exposed images are, hence the name, a bit aside and prior over standard content.

The "exposed image" "pseudo border" feature avoids native CSS borders, since
they tend to have issues with proper box-size calculations in a rather
complex responsive setting. Instead, a structure of nested divs is used.

Make sure the border effect is enabled in the theme settings
if you want it to be applied.

By default, the theme picks an existing image field to move the image out
of its content context to the exposed region. However, if you are eager for
more sophisticated display, you will find several alternatives to do so:

### CUSTOM APPLIANCE (DRUPAL WAY)
Use blocks in order to place images into the "exposed" or the "teaser" region
(or try the very cool
[Region View Modes](https://www.drupal.org/project/region_view_modes) module
for your customized exposed images).

### CUSTOM APPLIANCE (CSS WAY)
To apply the same effect to any other image, e.g. inside your node display,
you need to wrap it into two nested elements (e. g. "div"), where the outer has
a "bilderblock-image-outer" and the inner a "bilderblock-image-container" class.
You can easily achieve this using the field_group module and creating two
"HTML element" wrappers with the said classes around an image field.

In both customization cases, you may want to disable theme-internal processing
of exposed images in the theme settings.


FILM STRIPS (TEASER SLIDES)
---------------------------
Search results and taxonomy term pages will automatically render as film
strips with node teasers. This will make sure that the block/content will not be
displayed with a colorized background, and also with a layout according to
standard taxonomy term displays ("film strips").

### Customization (Drupal way)
Place any block or whatever element containing teasers into the theme's
"teasers" region. You do not want to place standard content there, as it will
render quite unpleasantly.

### Customization (CSS way)
Use the "bilderblock-has-teasers" class for blocks that contain such teaser
slides, or set your views display class to "bilderblock-has-teasers".

### Views
Add an "inline" row class, to conveniently display e. g. thumbnails floating
inline (use "unformatted list" display and inline fields here). Also, make
sure your view has the class "bilderblock-has-teasers" for the best possible
output.

FALLBACK TEASER SLIDES
----------------------
In order to preserve a stable layout, the theme will try to render a fallback
image according to your image style and source configuration, linked to the
corresponding node, whenever a node does not provide a valid image
field (valid in terms of your field configuration in the theme settings).

This fallback image can also be customized with your own uploaded picture.

If this does not perfectly meet your requirements, you might also want to
consider setting a default image directly in your image field configuration.

KNOWN ISSUES
------------
The theme is still work in progress. Check the issue queue first
for recent updates.

### Swipe not working
Although the module is prepared for basic jQuery mobile swipe events (i. e. open/
close menu), there is evidence that this is not working in many conditions due
to conflicts at a more general scope (Drupal?). This is still under investigation.

### Orphan variables
Drupal does not allow for themes to set variables except (indirectly) in
"theme_THEMENAME_settings" (precisely, Drupal provides no uninstall trigger
for themes so no cleanup can be done).
Since some internal preprocessing cannot be handled satisfyingly in theme_settings,
the theme might leave few variables in the theme_bilderblock_* namespace. This is
generally harmless, however, you may want to clean them up manually.
